Package org.apache.datasketches.hive.kll

## Class GetQuantileUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.kll.GetQuantileUDF

    public class GetQuantileUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`GetQuantileUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Float` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, double fraction)` Returns a quantile value from a given sketch.
`Float` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch, Boolean inclusive, double fraction)` Returns a quantile value from a given sketch

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetQuantileUDF

    public GetQuantileUDF()

### Method Detail

#### evaluate

    public Float evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                          double fraction)

Returns a quantile value from a given sketch. Equivalent to calling GetQuantile(sketch, true, fraction)

Parameters:
  `serializedSketch` - serialized sketch
  `fraction` - value from 0 to 1 inclusive
Returns:
  quantile value

#### evaluate

    public Float evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch,
                          Boolean inclusive,
                          double fraction)

Returns a quantile value from a given sketch

Parameters:
  `serializedSketch` - serialized sketch
  `inclusive` - if true, the given rank is considered inclusive (includes weight of an item)
  `fraction` - value from 0 to 1 inclusive
Returns:
  quantile value